oracle.pgx.config

## Enum OnMismatch

- java.lang.Object
- - java.lang.Enum<OnMismatch>
  - - oracle.pgx.config.OnMismatch

- All Implemented Interfaces:
    Serializable, Comparable<OnMismatch>

      public enum OnMismatch
      extends Enum<OnMismatch>

  The Enum OnMismatch.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR` abort and throw error
    `LOG_WARN` don't stop.
    `LOG_WARN_ONCE` don't stop.
    `SILENT` silently ignore and go on.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toKey()`
    `static OnMismatch` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static OnMismatch[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ERROR

          public static final OnMismatch ERROR

      abort and throw error

    - #### LOG_WARN

          public static final OnMismatch LOG_WARN

      don't stop. Log every mismatch as warning.

    - #### LOG_WARN_ONCE

          public static final OnMismatch LOG_WARN_ONCE

      don't stop. Log the first mismatch as warning, be silent afterwards

    - #### SILENT

          public static final OnMismatch SILENT

      silently ignore and go on.

  - ### Method Detail

    - #### toKey

          public String toKey()

      Returns:
        JSON key representation of this type

    - #### valueOf

          public static OnMismatch valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### values

          public static OnMismatch[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (OnMismatch c : OnMismatch.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

Copyright © 2015. All rights reserved.